FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridVolumeMapper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkUnstructuredGridVolumeMapper is the abstract definition of a volume mapper for unstructured data (vtkUnstructuredGrid). Several basic types of volume mappers are supported as subclasses

To create an instance of class vtkUnstructuredGridVolumeMapper, simply invoke its constructor as follows

      obj = vtkUnstructuredGridVolumeMapper

# Methods

The class vtkUnstructuredGridVolumeMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridVolumeMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridVolumeMapper = obj.NewInstance ()`
- `vtkUnstructuredGridVolumeMapper = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkUnstructuredGrid )` - Set/Get the input data
- `obj.SetInput (vtkDataSet )` - Set/Get the input data
- `vtkUnstructuredGrid = obj.GetInput ()` - Set/Get the input data
- `obj.SetBlendMode (int )`
- `obj.SetBlendModeToComposite ()`
- `obj.SetBlendModeToMaximumIntensity ()`
- `int = obj.GetBlendMode ()`